#!/usr/bin/perl -w
# opens .dat files which result from unzipping the tau_<year>.zip's,
# and extracts the date and tau into a 255out file, for loading into
# the postgreSQL database. Lynn Holt 7.25.00


@files = `ls *.dat`;
open (OUT, ">225out");
foreach $i (@files) {
  open (FILE,"<$i");
  @work = <FILE>;
  close FILE;
  foreach $j (@work) {
  if( $j =~ /\+\/\-/) {
    $j =~ s/\s\s/ /g;
    ($t,$tau) = split ' ', $j;
     next if $tau =~ /0.000/;
     next if $tau =~ /\-/;
     next if $tau > 10.0;
     $i =~ /^(\d\d)(\d\d)(\d\d)/;
     $x = $1; $y = $2; $z = $3;
     if($x =~ /00/) {
	$x = "20$x"; 
     }else{
	$x = "19$x";
     }
     $day = "$y $z $x ";
     $t =~ /(\d\d)(\d+)/;
     $h = $1; $m = $2;
     next if $h > 24;
     next if $m > 59;
     print OUT "$day $h:$m GMT\t$tau\n";
     }
  }
}
close OUT;

